org.springframework.web.socket.config.annotation

## Class ServletWebSocketHandlerRegistry

- java.lang.Object
- - org.springframework.web.socket.config.annotation.ServletWebSocketHandlerRegistry

- All Implemented Interfaces:
    WebSocketHandlerRegistry

      public class ServletWebSocketHandlerRegistry
      extends Object
      implements WebSocketHandlerRegistry

  A `WebSocketHandlerRegistry` that maps `WebSocketHandler`s to URLs for use in a Servlet container.
  Since:
    4.0
  Author:
    Rossen Stoyanchev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletWebSocketHandlerRegistry(ThreadPoolTaskScheduler sockJsTaskScheduler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WebSocketHandlerRegistration` | `addHandler(WebSocketHandler webSocketHandler, String... paths)` Configure a WebSocketHandler at the specified URL paths.
    `AbstractHandlerMapping` | `getHandlerMapping()` Return a `HandlerMapping` with mapped `HttpRequestHandler`s.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletWebSocketHandlerRegistry

          public ServletWebSocketHandlerRegistry(ThreadPoolTaskScheduler sockJsTaskScheduler)

  - ### Method Detail

    - #### addHandler

          public WebSocketHandlerRegistration addHandler(WebSocketHandler webSocketHandler,
                                                         String... paths)

      Description copied from interface: `WebSocketHandlerRegistry`
      Configure a WebSocketHandler at the specified URL paths.
      Specified by:
        `addHandler` in interface `WebSocketHandlerRegistry`

    - #### getHandlerMapping

          public AbstractHandlerMapping getHandlerMapping()

      Return a `HandlerMapping` with mapped `HttpRequestHandler`s.